PETSc version 3.15.5
Fix/Edit manual page

# PCBDDCGetDirichletBoundaries

Get parallel IS for Dirichlet boundaries

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCBDDCGetDirichletBoundaries(PC pc,IS *DirichletBoundaries)

Collective

### Input Parameters

| pc | - the preconditioning context

### Output Parameters

| DirichletBoundaries | - index set defining the Dirichlet boundaries

### Notes

The IS returned (if any) is the same passed in earlier by the user with PCBDDCSetDirichletBoundaries

### See Also

PCBDDC

### Level

intermediate

### Location

src/ksp/pc/impls/bddc/bddc.c

### Implementations

PCBDDCGetDirichletBoundaries_BDDC in src/ksp/pc/impls/bddc/bddc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages